use serde::{Serialize, Deserialize};

use super::{user::PartialUser, channel::PartialChannel};

#[derive(Serialize, Deserialize, Debug)]
pub struct Guild {
    pub id: String,
    pub name: String,
    pub owner: PartialUser,
    pub default_channel: PartialChannel,
}
